{include file='modules/servers/puqBusinessVPN/templates/header.tpl'}
<h2>{$vpn->lang['Port Forwarding']}</h2>


<form method="post" action="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding">


    <table class="table">

        <tr>
            <td>{$vpn->lang['From']}:</td>
            <td>
                <div class="input-group margin-bottom-5">
                            <span class="input-group-btn input-group-append">
                                <label class="form-control" style="border-top-right-radius:0; border-bottom-right-radius:0;padding-right: 1px;">{$vpn->service_dedicatedip}:</label>
                            </span>
                    <input min="1" max="65536" id="dst-port" type="number" name="dst-port" class="form-control" placeholder="{$vpn->lang['Enter port']}" /required >
                    <select id="protocol" name="protocol" class="form-control custom-select">
                        <option value="tcp">tcp</option>
                        <option value="udp">udp</option>
                    </select>
                </div>
            </td>
        </tr>
        <tr>
            <td>{$vpn->lang['To']}:</td>
            <td>
                <div class="input-group margin-bottom-5">
                    <select id="to-addresses" name="to-addresses" class="form-control custom-select">
                        {foreach from=$vpn->service_secrets key=key item=value}
                            <option value="{$value['remote-address']}">{$value['name']} ({$value['remote-address']})</option>
                        {/foreach}
                    </select>
                    <input min="1" max="65536" id="to-port" type="number" name="to-port" class="form-control" placeholder="{$vpn->lang['Enter port']}" /required >

                </div>

            </td>
        </tr>
        <tr>
            <td></td>
            <td><button onclick="return AddPortForwarding();" type="submit" class="btn btn-success" name="add_port_forwarding" value="add_port_forwarding"><i class="fa fa-plus">&nbsp;&nbsp;</i>{$vpn->lang['Add port forwarding']}</button></td>
        </tr>
    </table>

</form>



<table class="table table-list">
    <tr>
        <th><b>{$vpn->lang['Public IP:PORT']}</b></th>
        <th><b>{$vpn->lang['To IP:PORT']}</b></th>
        <th><b>{$vpn->lang['Bytes']} ({$vpn->lang['Packets']})</b></th>
        <th></th>

    </tr>
    <tbody>
    {foreach from=$vpn->service_port_forwarding key=key item=value}
        <tr>

            <td>{$vpn->service_dedicatedip}:{$value['dst-port']}<br>{$value['protocol']}</td>
            <td>{$value['to-addresses']}:{$value['to-ports']}<br>
                ({$value['name']})</td>
            <td>{$value['bytes']} ({$value['packets']})</td>
            <td><a href="/clientarea.php?action=productdetails&id={$vpn->service_id}&action_m=port_forwarding&delete={$value['.id']}" onclick="loading();" type="submit" class="btn btn-danger" ><i class="fa fa-times">&nbsp;&nbsp;</i>{$vpn->lang['Delete']}</a></td>
        </tr>
    {/foreach}
    </tbody>
</table>

<script type="text/javascript">
    function AddPortForwarding() {
        var dst_port = document.getElementById('dst-port').value;
        var protocol = document.getElementById('protocol').value;
        var to_addresses = document.getElementById('to-addresses').value;
        var to_port = document.getElementById('to-port').value;

        if(dst_port>65536||dst_port<1){
            return true
        }
        if(to_port>65536||to_port<1){
            return true
        }

        if(dst_port === '' || protocol === '' || to_addresses === ''|| to_port === ''){
            return true
        }else{
            loading();
            return true
        }
    }
</script>
